#pragma once

#include "CoreMinimal.h"
#include "WwiseSoundBankCookedData.h"
#include "WwiseMediaCookedData.h"
#include "WwiseLanguageCookedData.h"
#include "WwiseInitBankCookedData.generated.h"

USTRUCT(BlueprintType)
struct FWwiseInitBankCookedData : public FWwiseSoundBankCookedData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FWwiseSoundBankCookedData> SoundBanks;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FWwiseMediaCookedData> Media;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FWwiseLanguageCookedData> Language;

public:
	WWISERESOURCELOADER_API FWwiseInitBankCookedData();
};

FORCEINLINE uint32 GetTypeHash(const FWwiseInitBankCookedData) { return 0; }
